%define upstream_name    List-Keywords
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A selection of list utility keywords
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(XS::Parse::Keyword) >= 0.50.0
BuildRequires: perl(XS::Parse::Keyword::Builder) >= 0.50.0
BuildRequires: perl-devel
%description
This module provides keywords that behave (almost) identically to familiar
functions from the List::Util manpage, but implemented as keyword plugins
instead of functions. As a result these run more efficiently, especially in
small code cases.

Blocks vs Anonymous Subs
    In the description above the word "almost" refers to the fact that as
    this module provides true keywords, the code blocks to them can be
    parsed as true blocks rather than anonymous functions. As a result,
    both 'caller' and 'return' will behave rather differently here.

    For example,

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Fri Feb 03 2023 tv <tv> 0.100.0-1.mga9
+ Revision: 1937847
- update to 0.10

* Thu Aug 04 2022 tv <tv> 0.80.0-2.mga9
+ Revision: 1875098
- Rebuild for perl-5.36

* Tue Apr 19 2022 tv <tv> 0.80.0-1.mga9
+ Revision: 1851571
- imported package perl-List-Keywords

